您尚未登录。

#1 2018-08-21 13:51:54

chriswongxp
会员
注册时间: 2016-09-09
帖子: 36

[已解决]kernel升到4.18,蓝牙鼠标不能用了,你们有遇到这个问题吗?

我用的小米蓝牙鼠标,升级重启后无法移动,点击没有问题,切换到用usb2.4G模式问题相同,但在其它同事的windows下试了下,一切正常,应该是升级了出问题了,现在该怎么办?

最近编辑记录 chriswongxp (2018-08-27 18:40:05)

离线

#2 2018-08-21 13:54:58

firedrake
会员
注册时间: 2016-08-29
帖子: 71

Re: [已解决]kernel升到4.18,蓝牙鼠标不能用了,你们有遇到这个问题吗?

我以为我的蓝牙鼠标坏了,买了个新的还在路上……
如果真是内核的问题那就坑了……

离线

#3 2018-08-21 13:58:20

chriswongxp
会员
注册时间: 2016-09-09
帖子: 36

Re: [已解决]kernel升到4.18,蓝牙鼠标不能用了,你们有遇到这个问题吗?

firedrake 说:

我以为我的蓝牙鼠标坏了,买了个新的还在路上……
如果真是内核的问题那就坑了……

哈哈,今天我也查点再买一个

离线

#4 2018-08-21 14:17:36

firedrake
会员
注册时间: 2016-08-29
帖子: 71

Re: [已解决]kernel升到4.18,蓝牙鼠标不能用了,你们有遇到这个问题吗?

chriswongxp 说:
firedrake 说:

我以为我的蓝牙鼠标坏了,买了个新的还在路上……
如果真是内核的问题那就坑了……

哈哈,今天我也查点再买一个

看来是内核的问题了,鼠标连接到手机上是正常的。坑
然而新鼠标却可以连接使用。巨坑

最近编辑记录 firedrake (2018-08-21 16:09:09)

离线

#5 2018-08-23 09:50:19

levin
路过此地
所在地: 地球
注册时间: 2017-04-02
帖子: 63

Re: [已解决]kernel升到4.18,蓝牙鼠标不能用了,你们有遇到这个问题吗?

遇到了 ! 但我没想到是升级造成的,一直各种重新连鼠标!


平均每天至少一次pacman -Syu补充信仰

离线

#6 2018-08-23 14:09:33

依云
a.k.a. 百合仙子
所在地: 一个等待妹纸出现的地方
注册时间: 2011-08-21
帖子: 4,888
个人网站

Re: [已解决]kernel升到4.18,蓝牙鼠标不能用了,你们有遇到这个问题吗?

levin 说:

遇到了 ! 但我没想到是升级造成的,一直各种重新连鼠标!

用 Arch 要这么考虑:
原来正常的东西,某天之后突然不正常的,去翻翻 /var/log/pacman.log 看看最近升级了啥。

离线

#7 2018-08-23 15:49:39

chriswongxp
会员
注册时间: 2016-09-09
帖子: 36

Re: [已解决]kernel升到4.18,蓝牙鼠标不能用了,你们有遇到这个问题吗?

依云 说:
levin 说:

遇到了 ! 但我没想到是升级造成的,一直各种重新连鼠标!

用 Arch 要这么考虑:
原来正常的东西,某天之后突然不正常的,去翻翻 /var/log/pacman.log 看看最近升级了啥。

[2018-08-20 11:32] [PACMAN] Running 'pacman -Syu'
[2018-08-20 11:32] [PACMAN] synchronizing package lists
[2018-08-20 11:33] [PACMAN] starting full system upgrade
[2018-08-20 11:36] [ALPM] transaction started
[2018-08-20 11:36] [ALPM] removed libx264-all (2:152.20171224-2)
[2018-08-20 11:36] [ALPM] removed libx264 (2:152.20171224-2)
[2018-08-20 11:36] [ALPM] upgraded tzdata (2018e-1 -> 2018e-2)
[2018-08-20 11:36] [ALPM] upgraded glibc (2.28-1 -> 2.28-4)
[2018-08-20 11:36] [ALPM-SCRIPTLET] Generating locales...
[2018-08-20 11:36] [ALPM-SCRIPTLET]   en_US.UTF-8... done
[2018-08-20 11:36] [ALPM-SCRIPTLET]   zh_CN.UTF-8... done
[2018-08-20 11:36] [ALPM-SCRIPTLET]   zh_TW.UTF-8... done
[2018-08-20 11:36] [ALPM-SCRIPTLET] Generation complete.
[2018-08-20 11:36] [ALPM] upgraded p11-kit (0.23.12-1 -> 0.23.13-2)
[2018-08-20 11:36] [ALPM-SCRIPTLET] Created symlink /etc/systemd/user/sockets.target.wants/p11-kit-server.socket → /usr/lib/systemd/user/p11-kit-server.socket.
[2018-08-20 11:36] [ALPM] upgraded php (7.2.8-2 -> 7.2.9-1)
[2018-08-20 11:36] [ALPM] upgraded composer (1.7.0-1 -> 1.7.2-1)
[2018-08-20 11:36] [ALPM] upgraded confuse (3.2.1-1 -> 3.2.2-1)
[2018-08-20 11:36] [ALPM] installed l-smash (2.14.5-1)
[2018-08-20 11:36] [ALPM] installed x264 (2:155.r0a84d986-2)
[2018-08-20 11:36] [ALPM] upgraded graphite (1:1.3.11-1 -> 1:1.3.12-1)
[2018-08-20 11:36] [ALPM] upgraded mesa (18.1.5-1 -> 18.1.6-1)
[2018-08-20 11:36] [ALPM] upgraded ffmpeg (1:4.0.2-1 -> 1:4.0.2-2)
[2018-08-20 11:36] [ALPM] upgraded gst-plugins-ugly (1.14.2-1 -> 1.14.2-3)
[2018-08-20 11:36] [ALPM] upgraded libmagick (7.0.8.8-2 -> 7.0.8.10-1)
[2018-08-20 11:36] [ALPM] upgraded imagemagick (7.0.8.8-2 -> 7.0.8.10-1)
[2018-08-20 11:36] [ALPM] upgraded iproute2 (4.17.0-1 -> 4.18.0-1)
[2018-08-20 11:36] [ALPM] upgraded tdb (1.3.15-1 -> 1.3.16-1)
[2018-08-20 11:36] [ALPM] upgraded lantern-bin (4.7.9-1 -> 4.8.0-1)
[2018-08-20 11:36] [ALPM-SCRIPTLET]
[2018-08-20 11:36] [ALPM] upgraded tevent (1:0.9.36-1 -> 1:0.9.37-1)
[2018-08-20 11:36] [ALPM] upgraded ldb (1:1.3.4-2 -> 1:1.3.5-1)
[2018-08-20 11:36] [ALPM] upgraded libmagick6 (6.9.10.9-1 -> 6.9.10.10-1)
[2018-08-20 11:36] [ALPM] upgraded libwbclient (4.8.3-2 -> 4.8.4-1)
[2018-08-20 11:36] [ALPM] upgraded linux-firmware (20180717.8d69bab-1 -> 20180815.f1b95fe-1)
[2018-08-20 11:36] [ALPM] upgraded linux (4.17.14.arch1-1 -> 4.18.1.arch1-1)
[2018-08-20 11:36] [ALPM] upgraded linux-headers (4.17.14.arch1-1 -> 4.18.1.arch1-1)
[2018-08-20 11:36] [ALPM] upgraded man-pages (4.16-1 -> 4.16-2)
[2018-08-20 11:36] [ALPM] upgraded smbclient (4.8.3-2 -> 4.8.4-1)
[2018-08-20 11:36] [ALPM] upgraded mpd (0.20.20-3 -> 0.20.21-1)
[2018-08-20 11:36] [ALPM] upgraded mplayer (38101-1 -> 38101-2)
[2018-08-20 11:36] [ALPM] upgraded nodejs (10.8.0-2 -> 10.9.0-1)
[2018-08-20 11:36] [ALPM] upgraded semver (5.5.0-1 -> 5.5.1-1)
[2018-08-20 11:36] [ALPM] upgraded npm (6.3.0-1 -> 6.4.0-1)
[2018-08-20 11:36] [ALPM] upgraded php-fpm (7.2.8-2 -> 7.2.9-1)
[2018-08-20 11:36] [ALPM] upgraded php-gd (7.2.8-2 -> 7.2.9-1)
[2018-08-20 11:36] [ALPM] upgraded python2-setuptools (1:39.2.0-3 -> 1:40.0.0-1)
[2018-08-20 11:36] [ALPM] upgraded qpdf (8.1.0-1 -> 8.2.1-1)
[2018-08-20 11:36] [ALPM] upgraded xdg-utils (1.1.3-2 -> 1.1.3-3)
[2018-08-20 11:36] [ALPM] upgraded qt5-declarative (5.11.1-1 -> 5.11.1-2)
[2018-08-20 11:36] [ALPM] upgraded vulkan-icd-loader (1.1.80+2940+da58202e9-1 -> 1.1.82+2958+1f9a54573-1)
[2018-08-20 11:36] [ALPM] upgraded vlc (3.0.3-3 -> 3.0.3.r1-2)
[2018-08-20 11:36] [ALPM] upgraded xorg-server-common (1.20.0-9 -> 1.20.1-1)
[2018-08-20 11:36] [ALPM] upgraded xorg-server (1.20.0-9 -> 1.20.1-1)
[2018-08-20 11:36] [ALPM] transaction completed
[2018-08-20 11:37] [ALPM] running '60-linux.hook'...
[2018-08-20 11:37] [ALPM] running '90-linux.hook'...
[2018-08-20 11:37] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
[2018-08-20 11:37] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2018-08-20 11:37] [ALPM-SCRIPTLET] ==> Starting build: 4.18.1-arch1-1-ARCH
[2018-08-20 11:37] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2018-08-20 11:37] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2018-08-20 11:37] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2018-08-20 11:37] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2018-08-20 11:37] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2018-08-20 11:37] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2018-08-20 11:37] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2018-08-20 11:37] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2018-08-20 11:37] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2018-08-20 11:37] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux.img
[2018-08-20 11:37] [ALPM-SCRIPTLET] ==> Image generation successful
[2018-08-20 11:37] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'fallback'
[2018-08-20 11:37] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
[2018-08-20 11:37] [ALPM-SCRIPTLET] ==> Starting build: 4.18.1-arch1-1-ARCH
[2018-08-20 11:37] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2018-08-20 11:37] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2018-08-20 11:37] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2018-08-20 11:37] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2018-08-20 11:37] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2018-08-20 11:37] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: wd719x
[2018-08-20 11:37] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2018-08-20 11:37] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2018-08-20 11:37] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2018-08-20 11:37] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2018-08-20 11:37] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux-fallback.img
[2018-08-20 11:37] [ALPM-SCRIPTLET] ==> Image generation successful
[2018-08-20 11:37] [ALPM] running 'detect-old-perl-modules.hook'...
[2018-08-20 11:37] [ALPM] running 'gtk-update-icon-cache.hook'...
[2018-08-20 11:37] [ALPM] running 'systemd-daemon-reload.hook'...
[2018-08-20 11:37] [ALPM] running 'systemd-sysusers.hook'...
[2018-08-20 11:37] [ALPM] running 'systemd-tmpfiles.hook'...
[2018-08-20 11:37] [ALPM] running 'systemd-update.hook'...
[2018-08-20 11:37] [ALPM] running 'texinfo-install.hook'...
[2018-08-20 11:37] [ALPM] running 'update-desktop-database.hook'...
[2018-08-20 11:37] [ALPM] running 'update-vlc-plugin-cache.hook'...



这个是更新的日志,也没看到蓝牙相关的更新啊

离线

#8 2018-08-23 18:09:35

依云
a.k.a. 百合仙子
所在地: 一个等待妹纸出现的地方
注册时间: 2011-08-21
帖子: 4,888
个人网站

Re: [已解决]kernel升到4.18,蓝牙鼠标不能用了,你们有遇到这个问题吗?

内核更新了呀。

离线

#9 2018-08-24 09:16:02

firedrake
会员
注册时间: 2016-08-29
帖子: 71

Re: [已解决]kernel升到4.18,蓝牙鼠标不能用了,你们有遇到这个问题吗?

降级内核,或者用linux-lts,或者换个鼠标
这三个方法我都试过,都可以解决。[捂脸]
应该是新内核根部分鼠标有兼容问题吧。

离线

#10 2018-08-24 09:56:38

灰色小狼
KDE就是好就是好就是好
注册时间: 2011-08-19
帖子: 158

Re: [已解决]kernel升到4.18,蓝牙鼠标不能用了,你们有遇到这个问题吗?

庆幸surface鼠标和蓝牙键盘还活着……刚刚内核又更新了,升级一下试试看吧

离线

#11 2018-08-26 21:29:59

Aynamic
会员
注册时间: 2017-09-10
帖子: 18

Re: [已解决]kernel升到4.18,蓝牙鼠标不能用了,你们有遇到这个问题吗?

用lts省心多了

离线

#12 2018-08-27 11:06:42

chriswongxp
会员
注册时间: 2016-09-09
帖子: 36

Re: [已解决]kernel升到4.18,蓝牙鼠标不能用了,你们有遇到这个问题吗?

今天又更新了一下内核,问题依然!现在切到lts了。。

离线

#13 2018-08-27 19:13:31

apersonlikesc
兔子春
所在地: 喧闹之地
注册时间: 2018-01-21
帖子: 68
个人网站

Re: [已解决]kernel升到4.18,蓝牙鼠标不能用了,你们有遇到这个问题吗?

换个有线鼠标吧~


越过山丘,遇见十九岁的我

离线

#14 2018-08-27 19:37:59

levin
路过此地
所在地: 地球
注册时间: 2017-04-02
帖子: 63

Re: [已解决]kernel升到4.18,蓝牙鼠标不能用了,你们有遇到这个问题吗?

apersonlikesc 说:

换个有线鼠标吧~

鼠标wifi 蓝牙两用的
另外更新linux-lts 后蓝牙好了


平均每天至少一次pacman -Syu补充信仰

离线

页脚